Autore Topic: Passaggio a systemd  (Letto 132508 volte)

Offline pico

  • *
  • Post: 109
  • Reputazione: 5
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #30 il: 18 Ottobre 2012 ore 17:50 »
Salve a tutti e grazie in anticipo dell'aiuto!

Ho da poco reinstallato chakra e sono rimasto molto soddisfatto dei progressi fatti! Inoltre seguendo la guida del wiki sono riuscito ad installare senza problemi i driver Ati proprietari (Catalyst).
Volevo quindi solo un piccolo chiarimento: l'aggiornamento di questo week-end (systemd, kde 4.9.2 ecc) potrebbe dar luogo a problemi (per cui sarebbe meglio tornare temporaneamente ai driver open) oppure no?
Stessa domanda per quanto riguarda e4rat.

Grazie mille!

Offline whoami

  • *
  • Post: 1562
  • Reputazione: 64
  • Quando c'era init i log arrivavano in orario!
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #31 il: 18 Ottobre 2012 ore 18:03 »
Per quanto riguarda i driver non ci dovrebbero essere questioni visto che rimane sempre udev a gestire il caricamento dei moduli.

Per e4rat dovrai rifare la procedura con la guida specifica per systemd (comunque cambia poco...) che trovi qui

Naturalmente per qualunque cosa chiedi pure
echo "VQF AHELME I BI CI WECPF"| tr "ETAOINSHRDLUBCFGJMQPVWZYXK" "A-Z"

Offline doc54

  • *
  • Post: 27
  • Reputazione: 0
  • CHAKRA, WHAT ELSE
    • Mostra profilo
    • Studio Medicina Integrata
Re:Passaggio a systemd
« Risposta #32 il: 18 Ottobre 2012 ore 18:05 »
Se ho ben capito è meglio attendere il fine settimana, lo troveremo nei repositories, giusto?
HP Pavilion dv7 - 3003el
Processore AMD Turion II Ultra Dual Core M600 da 2,40 GHz
2 MB di cache di livello 2 - Scheda grafica ATI Radeon HD 4650
LAN Gigabit Ethernet 10/100/1000 integrata


Offline whoami

  • *
  • Post: 1562
  • Reputazione: 64
  • Quando c'era init i log arrivavano in orario!
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #33 il: 18 Ottobre 2012 ore 18:13 »
Si, ma se posso consigliarti aspetta pure un paio di giorni in più, così i mirror sono di sicuro aggiornati e se qualcuno ha già fato il passaggio e posta qualche problema puoi usufruire dell'esperienza.
echo "VQF AHELME I BI CI WECPF"| tr "ETAOINSHRDLUBCFGJMQPVWZYXK" "A-Z"

Offline doc54

  • *
  • Post: 27
  • Reputazione: 0
  • CHAKRA, WHAT ELSE
    • Mostra profilo
    • Studio Medicina Integrata
Re:Passaggio a systemd
« Risposta #34 il: 18 Ottobre 2012 ore 18:16 »
Si, ma se posso consigliarti aspetta pure un paio di giorni in più, così i mirror sono di sicuro aggiornati e se qualcuno ha già fato il passaggio e posta qualche problema puoi usufruire dell'esperienza.

Molto saggio, farò così. Grazie mille.
HP Pavilion dv7 - 3003el
Processore AMD Turion II Ultra Dual Core M600 da 2,40 GHz
2 MB di cache di livello 2 - Scheda grafica ATI Radeon HD 4650
LAN Gigabit Ethernet 10/100/1000 integrata


Offline JackVenom

  • *
  • Post: 83
  • Reputazione: 0
  • Scegli ancora.
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #35 il: 18 Ottobre 2012 ore 19:01 »
Ciao ragazzi! Più che due domande sono due curiosità, dato che al momento non posso usare Chakra. Ve le ho scritte anche  sul blog di Chakra Galaxy, infatti copincollo il commento lasciato:

Complimenti Vallerofonte per la guida e la chiarezza!! Una domanda: su Arch il servizio di cron non diventa "crond.service" ma bensì "cronie.service". Il motivo non lo so. Su Chakra la cosa è diversa? In secondo luogo, sempre su Arch, non è necessario dare anche "systemctl enable dbus.service" in quanto lo attiva di suo: di nuovo, anche qua Chakra ha operato diversamente?

Ce sapete dirmi?
La tana Blog in cui parlo delle mie avventure con i vari sistemi operativi, e delle mie avventure con la MTB

Offline pico

  • *
  • Post: 109
  • Reputazione: 5
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #36 il: 19 Ottobre 2012 ore 23:17 »
Grazie per il chiarimento  :beer:

Offline vellerofonte

  • *
  • Post: 1374
  • Reputazione: 58
  • #Chakra: Kde for life
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #37 il: 20 Ottobre 2012 ore 07:37 »
Spun mi ha segnalato una tonnellata di aggiornamenti, vedo inoltre che KDE-Workspace 4.9.2 è stato caricato anche per 64bit stable, dunque certamente si tratta del maxi aggiornamento che attendiamo da tempo

purtroppo ora non ho tempo di aggiornare  >:(

che la forza sia con voi, segnalate problemi e soluzioni mi raccomando  :D

Offline baudolino

  • *
  • Post: 40
  • Reputazione: 0
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #38 il: 20 Ottobre 2012 ore 08:35 »
Dopo aver dato
Codice: [Seleziona]
sudo pacman -Syu --ignore filesystem && sudo pacman -S filesystem --force && sudo pacman -S chakra-initmi ha chiesto:
Codice: [Seleziona]
:: I seguenti pacchetti dovrebbero essere aggiornati prima :
    pacman
:: Vuoi annullare l'operazione corrente
:: e aggiornare adesso questi pacchetti? [S/n]
Poi con l'aggiornamento di pacman mi ha dato il seguente warning:
Codice: [Seleziona]
WARNING WARNING WARNING
>>> Chakra is making a full systemd switch, follow the instructions to upgrade:
>>> http://chakra-linux.org/news/index.php?/archives/76-Chakra-is-making-the-full-switch-to-systemd.html
>>> DO NOT USE THE FORCE switch to perform this update

>>> For further questions, use http://chakra-project.org/bbs/viewtopic.php?id=8384

sudo: timestamp too far in the future: Oct 20 09:38:39 2012

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.
e andando avanti:
Codice: [Seleziona]
Password:
[yambo@chakra-pc Documents]$ sudo pacman -Syu --ignore filesystem && sudo pacman -S filesystem --force && sudo pacman -S chakra-init
Password:
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
:: Vuoi sostituire ati-dri con platform/mesa? [S/n]
ho risposto si e poi:
Codice: [Seleziona]
isoluzione delle dipendenze in corso...
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kde-l10n-it"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeedu-marble"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegames-common"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegames-common"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdegraphics-gwenview"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkipi"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdegraphics-kgamma"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkexiv2"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkdcraw"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkipi"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-strigi-analyzer"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-svgpart"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libksane"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libksane"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-ksnapshot"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkipi"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkdcraw"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkexiv2"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkipi"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libksane"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-okular"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdegraphics-okular"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkdcraw"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkexiv2"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-strigi-analyzer"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-svgpart"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkexiv2"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdegraphics-libkdcraw"
attenzione: impossibile risolvere "kde-workspace>=4.9.2", una dipendenza di "kdenetwork-kget"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdenetwork-kppp"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdepim-runtime"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepim-runtime"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeutils-ark"
attenzione: impossibile risolvere "kde-baseapps>=4.9.2", una dipendenza di "kdeutils-ark"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeutils-kgpg"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdeutils-kgpg"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepimlibs"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdepim-runtime"
attenzione: impossibile risolvere "kdelibs>=4.9.2", una dipendenza di "kdepim-runtime"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeutils-kwallet"
attenzione: impossibile risolvere "kde-baseapps>=4.9.2", una dipendenza di "kdeutils-kwallet"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeutils-printer-applet"
attenzione: impossibile risolvere "kde-baseapps>=4.9.2", una dipendenza di "kdeutils-printer-applet"
attenzione: impossibile risolvere "kdebindings-pykde4>=4.9.2", una dipendenza di "kdeutils-printer-applet"
attenzione: impossibile risolvere "kde-runtime>=4.9.2", una dipendenza di "kdeutils-sweeper"
attenzione: impossibile risolvere "kde-baseapps>=4.9.2", una dipendenza di "kdeutils-sweeper"
:: I seguenti pacchetti non possono essere aggiornati a causa di alcune dipendenze irrisolvibili:
      calligra-braindump  calligra-flow  calligra-interfaces  calligra-karbon  calligra-kexi
      calligra-krita  calligra-libs  calligra-pics  calligra-plan  calligra-plugins
      calligra-sheets  calligra-stage  calligra-tools  calligra-words  kde-l10n-it  kdeedu-marble
      kdegames-common  kdegames-kpat  kdegraphics-gwenview  kdegraphics-kgamma
      kdegraphics-ksaneplugin  kdegraphics-ksnapshot  kdegraphics-libkdcraw
      kdegraphics-libkexiv2  kdegraphics-libkipi  kdegraphics-libksane  kdegraphics-okular
      kdegraphics-strigi-analyzer  kdegraphics-svgpart  kdegraphics-thumbnailers  kdenetwork-kget
      kdenetwork-kppp  kdepim-runtime  kdepimlibs  kdeutils-ark  kdeutils-kgpg  kdeutils-kwallet
      kdeutils-printer-applet  kdeutils-sweeper
e infine si è impallato su :
Codice: [Seleziona]
Vuoi ignorare i seguenti pacchetti per questo aggiornamento? [s/N] n
errore: impossibile eseguire l'operazione richiesta (errore inaspettato)
[yambo@chakra-pc Documents]$ sudo pacman -Syu --ignore filesystem && sudo pacman -S filesystem --force && sudo pacman -S chakra-init
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
:: Aggiornamento del sistema in corso...
:: Vuoi sostituire ati-dri con platform/mesa? [S/n]
ho risposto no e poi si e non ne sono più uscito fuori.
Cosa è successo? Perchè mi chiede di sostituire ati con mesa?
Grazie  >:(

Offline Cosworth117

  • *
  • Post: 405
  • Reputazione: 12
  • Quello dei problemi strani.
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #39 il: 20 Ottobre 2012 ore 08:47 »
Io lo sto installando nel portatile/cavia di mia sorella. Inizio tutto bene, poi con l'installazione di chakra-init, dice che ci sono file in conflitto già presenti nel sistema, ecc... Allora riprovo l'installazione di chakra-init come scritto nella guida e... niente, nulla da fare, stessi errori. Reinizio l'installazione e stavolta non mi ha chiesto di chakra-init, ma sta aggiornando tutto il sistema. La domanda è: chakra-init l'ha installato? No, e adesso come si fa?  ;D
i7 4790k
Asus Z97-a
Asus nvidia GTX 780
Corsair Vengeance Pro 8gb
SSD 120gb + HDD 2tb

Chakra OS + Windows 7 Ultimate

Offline Cylon

  • *
  • Post: 1960
  • Reputazione: 78
  • CYbernetic Life fOrm Node
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #40 il: 20 Ottobre 2012 ore 09:15 »
sul forum internazionale abveritas ha detto di fare prima l'aggiornamento a pacman (con sudo pacman -Syu) e successivamente aggiornare a systemd
We are the Cylons. Lower your firewalll and surrender.Your PC will adapt to service our GNU/Linux systems. Resistance is futile. Extermination of human race has began!
                                                                     Non rispondo a PM

Offline Cosworth117

  • *
  • Post: 405
  • Reputazione: 12
  • Quello dei problemi strani.
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #41 il: 20 Ottobre 2012 ore 09:17 »
sul forum internazionale abveritas ha detto di fare prima l'aggiornamento a pacman (con sudo pacman -Syu) e successivamente aggiornare a systemd

Con sudo pacman -Syu parte tutto l'aggiornamento, mica solo pacman.
i7 4790k
Asus Z97-a
Asus nvidia GTX 780
Corsair Vengeance Pro 8gb
SSD 120gb + HDD 2tb

Chakra OS + Windows 7 Ultimate

Offline Cylon

  • *
  • Post: 1960
  • Reputazione: 78
  • CYbernetic Life fOrm Node
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #42 il: 20 Ottobre 2012 ore 09:21 »
Ambasciator non porta pena  ;D .... aggiornate solo pacman allora, sudo pacman -Sy pacman
We are the Cylons. Lower your firewalll and surrender.Your PC will adapt to service our GNU/Linux systems. Resistance is futile. Extermination of human race has began!
                                                                     Non rispondo a PM

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #43 il: 20 Ottobre 2012 ore 09:22 »
No, è corretto così. Ti chiede subito di aggiornare pacman, poi esce.

Dovrebbe essere aggiunto nelle news

Offline Cylon

  • *
  • Post: 1960
  • Reputazione: 78
  • CYbernetic Life fOrm Node
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #44 il: 20 Ottobre 2012 ore 09:26 »
cosa aggiungo? va bene:

"prima di lanciare l'aggiornamento a systemd aggiornate pacman con sudo pacmn -Syu"

PS: non ho ancora aggiornato chakra, vedrò di riavviare nelle prossime ora... proprio oggi che avevo deciso di abbandonare i catalyst su arch e installare i driver open.
We are the Cylons. Lower your firewalll and surrender.Your PC will adapt to service our GNU/Linux systems. Resistance is futile. Extermination of human race has began!
                                                                     Non rispondo a PM

 

Template by Homey | Sito ufficiale | Disclaimer